<?php

/* 列表页 - 引用各种风格模式 */
/* 162100源码 - 162100.com - download.162100.com */

if (basename($_SERVER['PHP_SELF'].'abc') != 'list.phpabc') {
  die('URL&#x8F93;&#x5165;&#x9519;&#x8BEF;&#xFF01;');
}

@ require ('inc/set/set.php');
@ require ('inc/set/set_sql.php');
@ require ('inc/set/set_userface.php');
@ require ('inc/function/get_page.php');
@ require ('inc/function/cutstr.php');
@ require ('inc/function/confirm_power.php');

//身份验证
define('POWER', confirm_power());
$userface = user_class(POWER, $session[3]);

//处理伪静态
if ($web['url_html_index'] == 1) {
  $index_url = 'index.html';
} else {
  $index_url = 'index.php';
}

$sitemode = $web['sitemode'];
if (isset($_GET['mode']) && file_exists('inc/css/'.$_GET['mode'].'/list.php')) {
  //$web['sitemode'] = $_GET['mode'];
  $sitemode = $_GET['mode'];
}

@ require_once ('inc/css/'.$sitemode.'/list.php');
?>